Package org.opensaml.spring.trust

# Class AbstractBasicPKIXValidationInfoFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<BasicPKIXValidationInformation>
org.opensaml.spring.trust.AbstractBasicPKIXValidationInfoFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<BasicPKIXValidationInformation>`, `InitializingBean`

Direct Known Subclasses:
  `PKIXInlineValidationInfoFactoryBean`, `PKIXResourceValidationInfoFactoryBean`

public abstract class AbstractBasicPKIXValidationInfoFactoryBean extends AbstractComponentAwareFactoryBean<BasicPKIXValidationInformation>
A factory bean to collect information to do with a `BasicPKIXValidationInformation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`configDescription`
The description of the file with the configuration us.
`private Integer`
`verifyDepth`
Verification depth.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractBasicPKIXValidationInfoFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected BasicPKIXValidationInformation`
`doCreateInstance()`
`protected abstract List<X509Certificate>`
`getCertificates()`
Get the configured certificates.
`String`
`getConfigDescription()`
For logging, get the description of the resource that defined this bean.
`protected abstract List<X509CRL>`
`getCRLs()`
Get the configured CRL list.
`Class<?>`
`getObjectType()`
`Integer`
`getVerifyDepth()`
Get the verify Depth.
`void`
`setConfigDescription(String desc)`
For logging, set the description of the resource that defined this bean.
`void`
`setVerifyDepth(Integer depth)`
Set the verify Depth.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### verifyDepth

@Nullable private Integer verifyDepth
Verification depth.

### configDescription

@Nullable private String configDescription
The description of the file with the configuration us.

## Constructor Details

### AbstractBasicPKIXValidationInfoFactoryBean

public AbstractBasicPKIXValidationInfoFactoryBean()

## Method Details

### getVerifyDepth

@Nullable public Integer getVerifyDepth()
Get the verify Depth.

Returns:
  Returns the depth.

### setVerifyDepth

public void setVerifyDepth(@Nullable Integer depth)
Set the verify Depth.

Parameters:
  `depth` - The value to set.

### getConfigDescription

@Nullable public String getConfigDescription()
For logging, get the description of the resource that defined this bean.

Returns:
  Returns the description.

### setConfigDescription

public void setConfigDescription(@Nullable String desc)
For logging, set the description of the resource that defined this bean.

Parameters:
  `desc` - what to set.

### getObjectType

@Nonnull public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<BasicPKIXValidationInformation>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<BasicPKIXValidationInformation>`

### doCreateInstance

@Nonnull protected BasicPKIXValidationInformation doCreateInstance() throws Exception

Specified by:
  `doCreateInstance` in class `AbstractComponentAwareFactoryBean<BasicPKIXValidationInformation>`
Throws:
  `Exception`

### getCertificates

@Nullable protected abstract List<X509Certificate> getCertificates()
Get the configured certificates.

Returns:
  the certificates.

### getCRLs

@Nullable protected abstract List<X509CRL> getCRLs()
Get the configured CRL list.

Returns:
  the crls or null